mfsnetdump(8)

NAME
mfsnetdump - dump network traffic as mfs packets

SYNOPSIS
mfsnetdump [-r PCAP_FILE] [-i INTERFACE] [-p PORT_RANGE] [-f PCAP_FILTER] [-c PCOUNT] [-s MBYTES] [-e COMMANDS] [-o COMMANDS] [-x] [-y] [-n]

DESCRIPTION

mfsnetdump is an internal diagnostic tool similar to tcpdump, but specialized for MooseFS.

OPTIONS

-r  specify PCAP file to read packets from

-i  dump packets using given network interface

-p  show only packets from given port range (default range is 9419-9422, so by default only MFS packets are shown)

-f  define pcap filter to filter packets

-c  dump only PCOUNT packets and exit

-s  dump only first MBYTES bytes of each packet

-e  do not display given commands

-o  show only given commands

-x  do not display mfs maintenance commands (such as CSTOMA_SPACE or CLTOMA_FUSE_TIME_SYNC)

-y  do not display open/close connections packets

-n  show ANTOAN_NOP command (disabled by default)

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2025 Jakub Kruszona-Zawadzki, Saglabs SA

This file is part of MooseFS.

MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only).

MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html